version: '3.4'

services:
  catalogdb:
    image: mongo
  basketdb:
    image: redis
  rabbitmq:
    image: rabbitmq:3-management-alpine
  catalog.api:
    image: ${DOCKER_REGISTRY-}catalogapi
    build:
      context: .
      dockerfile: src/Catalog/Catalog.API/Dockerfile
  basket.api:
    image: ${DOCKER_REGISTRY-}basketapi
    build:
      context: .
      dockerfile: src/Basket/Basket.API/Dockerfile
  redis-server:
    image: redis
 
